Payment Term
The payment term resource.
Basehttps://rest.carbon.ms/paymentTerm
GET
/paymentTermList payment terms
Retrieve a paginated list of payment terms. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/paymentTerm
curl --request GET \
--url 'https://rest.carbon.ms/paymentTerm?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"daysDue": 0,
"daysDiscount": 10,
"discountPercentage": 10,
"calculationMethod": "string",
"active": true,
"companyId": "xyz789"
}
]GET
/paymentTermRetrieve a payment term
Fetch a single payment term by filtering on `id`.
Query parameters
idstringMatch on the payment term's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/paymentTerm
curl --request GET \
--url 'https://rest.carbon.ms/paymentTerm?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"daysDue": 0,
"daysDiscount": 10,
"discountPercentage": 10,
"calculationMethod": "string",
"active": true,
"companyId": "xyz789"
}POST
/paymentTermCreate a payment term
Create a new payment term.
Body parameters
namestringrequireddaysDuenumberrequireddaysDiscountnumberrequireddiscountPercentagenumberrequiredcalculationMethodpaymentTermCalculationMethodrequiredactivebooleanrequiredcompanyIdstringrequiredReferences company.id
customFieldsobjecttagsarrayPOSThttps://rest.carbon.ms/paymentTerm
curl --request POST \
--url https://rest.carbon.ms/paymentTerm \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example","daysDue":0,"daysDiscount":10,"discountPercentage":10,"calculationMethod":"string","active":true,"companyId":"xyz789"}'Response
{
"id": "abc123def456",
"name": "Example",
"daysDue": 0,
"daysDiscount": 10,
"discountPercentage": 10,
"calculationMethod": "string",
"active": true,
"companyId": "xyz789"
}PATCH
/paymentTermUpdate a payment term
Update an existing payment term, matched on `id`.
Body parameters
namestringrequireddaysDuenumberrequireddaysDiscountnumberrequireddiscountPercentagenumberrequiredcalculationMethodpaymentTermCalculationMethodrequiredactivebooleanrequiredcompanyIdstringrequiredReferences company.id
customFieldsobjecttagsarrayPATCHhttps://rest.carbon.ms/paymentTerm
curl --request PATCH \
--url 'https://rest.carbon.ms/paymentTerm?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"daysDue": 0,
"daysDiscount": 10,
"discountPercentage": 10,
"calculationMethod": "string",
"active": true,
"companyId": "xyz789"
}DELETE
/paymentTermDelete a payment term
Delete a payment term, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the payment term to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/paymentTerm
curl --request DELETE \
--url 'https://rest.carbon.ms/paymentTerm?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content